package comm

import "fmt"

const (
	CommPayMallCreateQrApi  = "comm.pay.multiPay.createqr"
	CommPaySku3dCreateQrApi = "comm.pay.singlePay.createqr"
	// cloud
	CommPayCloudCreateQrApi = "comm.pay.singlePay.createqr"

	// refund
	CommPayMallRefundApi = "comm.pay.multiPay.refund"
	// refundquery
	CommPayMallRefundQueryApi = "comm.pay.multiPay.refundQuery"
)

func NewAppPaySuccSubject(app string) string {
	return fmt.Sprintf("%s-pay-succ#%s.paysucc#%s-paysucc-queue", app, app, app)
}

func NewAppPayFailSubject(app string) string {
	return fmt.Sprintf("%s-pay-fail#%s.payfail#%s-payfail-queue", app, app, app)
}

var CommPayCloudSuccMsgSubject = NewAppPaySuccSubject("cloud")
var CommPayCloudFailMsgSubject = NewAppPayFailSubject("cloud")
var CommPaySku3dSuccMsgSubject = NewAppPaySuccSubject("sku3d")
var CommPaySku3dFailMsgSubject = NewAppPayFailSubject("sku3d")
var CommPayMallSuccMsgSubject = NewAppPaySuccSubject("mall")
var CommPayMallFailMsgSubject = NewAppPayFailSubject("mall")
